aboutsummaryrefslogtreecommitdiffstats
path: root/test/csit/plans/appc/healthcheck/bundle_query.sh
diff options
context:
space:
mode:
authorAaron Hay <ah415j@att.com>2017-08-24 15:06:59 +0000
committerAaron Hay <ah415j@att.com>2017-08-24 15:36:59 +0000
commitdb1e9c5ec96b262b3b1e721897b6d83f80aaf1ab (patch)
treec8dd7eae02c5809877ddba975274d7af4822fd0b /test/csit/plans/appc/healthcheck/bundle_query.sh
parent7ba7647a28f1c386c65f372b521b4401a37270e6 (diff)
Added bundle_query.sh and health_check.sh files.
Updated the test1.robot file to include the two tests cases related to the new shell scripts. Change-Id: Idca535d7b557bbb2e02006efab9867f60fd80d98 Issue-Id: APPC-115 Signed-off-by: Aaron Hay <ah415j@att.com>
Diffstat (limited to 'test/csit/plans/appc/healthcheck/bundle_query.sh')
-rwxr-xr-xtest/csit/plans/appc/healthcheck/bundle_query.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/test/csit/plans/appc/healthcheck/bundle_query.sh b/test/csit/plans/appc/healthcheck/bundle_query.sh
new file mode 100755
index 000000000..7224ae9c5
--- /dev/null
+++ b/test/csit/plans/appc/healthcheck/bundle_query.sh
@@ -0,0 +1,34 @@
+#!/usr/bin/env bash
+###############################################################################
+# Copyright 2017 Huawei Technologies Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+###############################################################################
+SCRIPTS="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+echo $SCRIPTS
+
+
+num_bundles=$(docker exec appc_controller_container /opt/opendaylight/current/bin/client -u karaf bundle:list | tail -1 | cut -d\| -f1)
+num_failed_bundles=$(docker exec appc_controller_container /opt/opendaylight/current/bin/client -u karaf bundle:list | grep Failure | wc -l)
+failed_bundles=$(docker exec appc_controller_container /opt/opendaylight/current/bin/client -u karaf bundle:list | grep Failure)
+
+echo "There are $num_failed_bundles failed bundles out of $num_bundles installed bundles."
+
+if [ "$num_failed_bundles" -ge 1 ] || [ $num_bundles -le 393 ]; then
+ echo "There are $num_bundles bundles out of 394 with $num_failed_bundles in a failed state. "
+ echo "The following bundle(s) are in a failed state: "
+ echo " $failed_bundles"
+ exit 1;
+fi
+
+exit 0